#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
		QMainWindow(parent),
		ui(new Ui::MainWindow) {
	ui->setupUi(this);

	m_browsemodel = new QCP::BrowseModel(this);
	ui->viewShares->setModel(m_browsemodel);

	ui->viewShares->setColumnWidth(0, 220);
	ui->viewShares->setColumnWidth(1, 240);
	ui->viewShares->setColumnWidth(2, 20);
}

MainWindow::~MainWindow() {
	delete ui;
}

void MainWindow::changeEvent(QEvent *e) {
	QMainWindow::changeEvent(e);
	switch (e->type()) {
	case QEvent::LanguageChange:
		ui->retranslateUi(this);
		break;
	default:
		break;
	}
}
